import { RouterLink } from "vue-router";

const menuInfo = {
  options: [
    // {
    //   label: () => "",
    //   key: "0",
    //   disabled: true,
    //   icon: () => h(NIcon, { class: "orange" }, { default: () => h(orange) }),
    // },
    {
      key: "1",
      label: () => h(RouterLink, { ref:"homeItem",to: "/home", class: "menu-item font-[500] text-lg" }, { default: () => "首页" }),
    },
    {
      key: "2",
      label: () => h(RouterLink, { to: "/gallery", class: "menu-item font-[500] text-lg" }, { default: () => "画廊" }),
    },
    {
      key: "3",
      label: () => h(RouterLink, { to: "/article", class: "menu-item font-[500] text-lg" }, { default: () => "文章" }),
    },
    {
      key: "4",
      label: () => h(RouterLink, { to: "/widget", class: "menu-item font-[500] text-lg" }, { default: () => "工具" }),
    },
    {
      key: "5",
      label: () => h(RouterLink, { to: "/plink", class: "menu-item font-[500] text-lg" }, { default: () => "友链" }),
    },
  ],
  menuList: ["/home", "/gallery", "/article", "/widget","/plink"],
};
export default menuInfo;
